Upgrade auf MySQL 8

Ab Juli 2021 wird für die Webhosting-Datenbanken nur noch MySQL 8.0 bereitgestellt. Ältere Versionen werden nicht mehr verwendet.

Aktuelle Softwares sind mit MySQL 8 kompatibel, nur veraltete Softwares oder selbst entwickelte Systeme haben ggf. Kompatibilitätsprobleme:

  • in MySQL 8 werden neue Keywords eingeführt. Wenn Tabellen oder Spalten wie solche Keywords benannt sind müssen diese in SQL-Queries in Backticks gesetzt sein (z.B. `groups` statt groups) oder die Spalte muss umbenannt werden. Keywords in MySQL 8
  • die Funktion PASSWORD() ist nicht mehr verfügbar
  • der SQL-Mode wird von uns nicht verändert

Für folgende Softwares sind Updates mindestens auf die folgenden Versionen notwendig, damit sie kompatibel sind. Für andere Softwares sind uns keine Kompatibilits-Probleme bekannt.

Softwaremin. Version
Concrete 58.4.1
Contao3.5.40
Drupal8.6.x
Shopware5.5